Package org.apache.sling.commons.testing.integration

# Class NameValuePair

java.lang.Object
org.apache.sling.commons.testing.integration.NameValuePair

public class NameValuePair extends Object
A basic name-value pair class.

## Constructor Summary

Constructors
Constructor
Description
`NameValuePair()`
`NameValuePair(String name, String value)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`String`
`getValue()`
`void`
`setName(String name)`
`void`
`setValue(String value)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NameValuePair

public NameValuePair()

### NameValuePair

public NameValuePair(String name, String value)

## Method Details

### setName

public void setName(String name)

### getName

public String getName()

### setValue

public void setValue(String value)

### getValue

public String getValue()

### toString

public String toString()

Overrides:
  `toString` in class `Object`